/* 
 * File:   i2c.h
 * Author: nikol
 *
 * Created on 20 ??? 2022 ?., 12:40
 */

#ifndef I2C_H
#define	I2C_H

#include "main.h"

/* 24C256 Config */
#define write_cmd 0xA0 // See 24C datasheet, MSB's encode I2C device address
#define read_cmd 0xA1

void i2c_init();
void waitmssp();
void i2c_start();
void i2c_stop();
void i2c_restart();
void i2c_ack();
void i2c_nak();
void i2c_send(unsigned char dat);
void i2c_send_byte(unsigned char addr,unsigned char *count);
unsigned char i2c_read();
unsigned char i2c_read_byte(unsigned char addr);



#endif	/* I2C_H */

