#include <xc.h>
#include "lcd.h"
#define delay for(i=0;i<1000;i++)
int i;

void cmd(unsigned char a){ // Sends a command to LCD
    PORTB=a;
    rs=0;
    rw=0;
    en=1;
    delay;
    en=0;
}

void dat(unsigned char b){ // Writes data to LCD buffer
    PORTB=b;
    rs=1;
    rw=0;
    en=1;
    delay;
    en=0;
}

void lcd_init(){ // Clear LCD display
    TRISB=TRISC0=TRISC1=TRISC2=0;
    cmd(0x38);
    cmd(0x0c);
    cmd(0x06);
    cmd(0x80);
}

void show(unsigned char *s) // Write s[] to LCD buffer
{
    while(*s) {
        dat(*s++);
    }
}
